module_init
Prev | Driver Entry and Exit points | Next

## Name

module_init — driver initialization entry point

## Synopsis

`module_init (` |  | x`)`;

## Arguments

`x`

  function to be run at kernel boot time or module insertion

## Description

`module_init` will either be called during `do_initcalls` (if builtin) or at module insertion time (if a module). There can only be one per module.

Prev | Up | Next
Chapter 1. Driver Basics | Home | module_exit